<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [HTTPRequest](./puppeteer.httprequest.md) &gt; [respond](./puppeteer.httprequest.respond.md)

## HTTPRequest.respond() method

<b>Signature:</b>

```typescript
respond(response: {
        status: number;
        headers: Record<string, string>;
        contentType: string;
        body: string | Buffer;
    }): Promise<void>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  response | { status: number; headers: Record&lt;string, string&gt;; contentType: string; body: string \| Buffer; } |  |

<b>Returns:</b>

Promise&lt;void&gt;

